net.minecraft.inventory

## Class ContainerHopper

- java.lang.Object
- - net.minecraft.inventory.Container
  - - net.minecraft.inventory.ContainerHopper

-     public class ContainerHopper
      extends Container

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.inventory.Container

      `inventoryItemStacks, inventorySlots, windowId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerHopper(InventoryPlayer par1InventoryPlayer, IInventory par2IInventory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canInteractWith(EntityPlayer par1EntityPlayer)`
    `void` | `onCraftGuiClosed(EntityPlayer par1EntityPlayer)` Callback for when the crafting gui is closed.
    `ItemStack` | `transferStackInSlot(EntityPlayer par1EntityPlayer, int par2)` Called when a player shift-clicks on a slot.

    - ### Methods inherited from class net.minecraft.inventory.Container

      `addCraftingToCrafters, detectAndSendChanges, enchantItem, func_94525_a, func_94526_b, func_94527_a, func_94528_d, func_94529_b, func_94530_a, func_94531_b, func_94532_c, func_94534_d, getInventory, getNextTransactionID, getSlot, getSlotFromInventory, isPlayerNotUsingContainer, onCraftMatrixChanged, putStackInSlot, putStacksInSlots, removeCraftingFromCrafters, setPlayerIsPresent, slotClick, updateProgressBar`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerHopper

          public ContainerHopper(InventoryPlayer par1InventoryPlayer,
                         IInventory par2IInventory)

  - ### Method Detail

    - #### canInteractWith

          public boolean canInteractWith(EntityPlayer par1EntityPlayer)

      Specified by:
        `canInteractWith` in class `Container`

    - #### transferStackInSlot

          public ItemStack transferStackInSlot(EntityPlayer par1EntityPlayer,
                                      int par2)

      Called when a player shift-clicks on a slot. You must override this or you will crash when someone does that.
      Overrides:
        `transferStackInSlot` in class `Container`

    - #### onCraftGuiClosed

          public void onCraftGuiClosed(EntityPlayer par1EntityPlayer)

      Callback for when the crafting gui is closed.
      Overrides:
        `onCraftGuiClosed` in class `Container`